<h1>Save filters</h1>
<div mat-dialog-content>
  <p>Choose a name for your filter:</p>
  <mat-form-field>
    <input matInput [(ngModel)]="data.filter_name" />
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onCancelClick()">Cancel</button>
  <button
    mat-raised-button
    cdkFocusInitial
    [mat-dialog-close]="data.filter_name"
    color="primary"
  >
    Save
  </button>
</div>
